Agent BrainsAgent Brains
APIWebhooks

List webhook deliveries

List sanitized delivery status for a subscription. Required scope: `webhooks:manage`.

GET
/webhooks/{id}/deliveries
x-api-key<token>

Preferred authentication header.

In: header

Path Parameters

id*string

Subscription ID returned when creating or listing webhooks.

Match^[a-fA-F0-9]{24}$
Length24 <= length <= 24

Query Parameters

cursor?string

Use next_cursor from the previous response. Omit for the first page. URL-encode the value.

Length1 <= length <= 1024
limit?integer

Maximum items per page. Defaults to 50; accepted range is 1–100.

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.agent-brains.com/webhooks/stringstringstringstring/deliveries"
{
  "items": [
    {
      "id": "string",
      "event_id": "string",
      "status": "pending",
      "attempts": 0,
      "last_http_status": 100,
      "last_error": "string",
      "next_attempt_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}